Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.plus.jaas.spi
Class JDBCLoginModule

    java.lang.Object
      org.eclipse.jetty.plus.jaas.spi.AbstractLoginModule
          org.eclipse.jetty.plus.jaas.spi.AbstractDatabaseLoginModule
              org.eclipse.jetty.plus.jaas.spi.JDBCLoginModule

All Implemented Interfaces:
  javax.security.auth.spi.LoginModule

    public class JDBCLoginModule

extends AbstractDatabaseLoginModule

JDBCLoginModule

JAAS LoginModule to retrieve user information from a database and authenticate the user.

#### Notes

This version uses plain old JDBC connections NOT Datasources.

#### Usage

Version:
  1.0 Tue Apr 15 2003

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.plus.jaas.spi.AbstractLoginModule
`AbstractLoginModule.JAASUserInfo`

Constructor Summary
`JDBCLoginModule()`

Method Summary
`java.sql.Connection` | `getConnection()` Get a connection from the DriverManager
`void` | `initialize(javax.security.auth.Subject subject, javax.security.auth.callback.CallbackHandler callbackHandler, java.util.Map sharedState, java.util.Map options)` Init LoginModule.

Methods inherited from class org.eclipse.jetty.plus.jaas.spi.AbstractDatabaseLoginModule
`getUserInfo`

Methods inherited from class org.eclipse.jetty.plus.jaas.spi.AbstractLoginModule
`abort, commit, configureCallbacks, getCallbackHandler, getCurrentUser, getSubject, isAuthenticated, isCommitted, login, logout, setAuthenticated, setCallbackHandler, setCommitted, setCurrentUser, setSubject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCLoginModule

    public JDBCLoginModule()

Method Detail

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.lang.Exception

  Get a connection from the DriverManager

  Specified by:
    `getConnection` in class `AbstractDatabaseLoginModule`
  Returns:
    the connection for this datasource
  Throws:
    `java.lang.Exception`
  See Also:
    `AbstractDatabaseLoginModule.getConnection()`

### initialize

    public void initialize(javax.security.auth.Subject subject,
                           javax.security.auth.callback.CallbackHandler callbackHandler,
                           java.util.Map sharedState,
                           java.util.Map options)

  Init LoginModule. Called once by JAAS after new instance created.

  Specified by:
    `initialize` in interface `javax.security.auth.spi.LoginModule`
  Overrides:
    `initialize` in class `AbstractDatabaseLoginModule`
  Parameters:
    `subject` -
    `callbackHandler` -
    `sharedState` -
    `options` -
  See Also:
    `LoginModule.initialize(javax.security.auth.Subject, javax.security.auth.callback.CallbackHandler, java.util.Map, java.util.Map)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.